#define COLLISION_CC 1
#include "common.hh"
#include "gfx_machine.hh"
#include "ai.hh"
using namespace gfx;

bool
CheckPendingCollision( Machine* machine )
{
#if DEBUG
	*gStreamDebug << "Checking pending collision" << endl;
#endif
	return false;
}

bool
AvoidCollision( Machine* machine )
{
#if DEBUG
	*gStreamDebug << "AvoidCollision" << endl;
#endif
	return true;
}

Machine::Opcode gSmprocAvoidCollision[] =
{
DEF_PROC_BEGIN( "AvoidCollision" ),

	DEF_FUNC( AvoidCollision ),

DEF_PROC_END()
};
